cgx(1)

NAME
cgx - CalculiX GraphiX

SYNOPSIS
cgx [options] [parameter] filename [ccxfile]...

DESCRIPTION
This manual page documents briefly the cgx command. The complete documentation and test files are located in the calculix-cgx-doc package in the /usr/share/doc/calculix-cgx-doc/ directory.

PARAMETERS

-a  auto-mode, geometry file derived from a cad-file must be provided

-b  build-mode, geometry (command) file must be provided

-bg background, suppress creation of graphic output otherwise as -b a geometry (command) file must be provided

-c  read an solver input file (ccx)

-duns2d
    read duns result files (2D)

-duns3d
    read duns result files (3D)

-foam
    read openFoam result files

-isaac2d [-pref<val> -tref<val> -R<val>]
    read isaac result files (2D)

-isaac3d [-pref<val> -tref<val> -R<val>]
    read isaac result files (3D)

-f06
    read Nastran f06 file

-ng read Netgen native format

-step
    read a step file (only points and lines)

-stepsplit
    read step and write its single parts to the filesystem

-stl
    read stl triangles

-v  (default) read a result file in frd-format and optional a solver input file (ccx) which provides the sets and loads used in the calculation.

SPECIAL PURPOSE OPTIONS

-mksets
    make node-sets from *DLOAD-values (setname:''_<value>'')

-read
    forces the program to read the complete result-file at startup